﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Syncfusion.UI.Xaml.Charts;
using System.Collections.ObjectModel;

namespace ChartTrackball
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }
    }

    public class CustomTrackBall : ChartTrackBallBehavior
    {
        //AddTrackBall method is used to override YValue of chart point info
        protected override void AddTrackBall(ChartPointInfo pointInfo)
        {
            //Amount value has assigned to YValue of chart point info
            pointInfo.ValueY = "Amount:" + (pointInfo.Item as Model).Amount;
            base.AddTrackBall(pointInfo);
        }
    }
}
